HPE Intelligent Management Center 7.2 E0403P06 Multiple Vulnerabilities

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The version of HPE Intelligent Management Center on the remote host is
affected by multiple vulnerabilities.

Description :

The version of HPE Intelligent Management Center (IMC) running on the
remote host is version 7.2 E0403P06. It is, therefore, affected by
multiple vulnerabilities :

- A flaw exists in UrlAccessController when handling URIs
with the doFilter() method. A remote attacker can
exploit this, via a specially crafted request, to bypass
authorization. (CVE-2017-5791)

- A flaw exists in CommonUtils due to improper
sanitization of user-supplied input before using it in
file operations. An authenticated, remote attacker can
exploit this issue, via a specially crafted request that
uses path traversal, to upload arbitrary files, which
can then be used to execute arbitrary code.
(CVE-2017-5793)

- A flaw exists in FileUploadServlet due to improper
sanitization of user-supplied input before using it in
file operations. An authenticated, remote attacker can
exploit this issue, via a specially crafted request that
uses path traversal, to upload arbitrary files, which
then can be used to execute arbitrary code.
(CVE-2017-5794)

- A flaw exists in FileDownloadServlet due to improper
sanitization of user-supplied input to the 'fileName'
parameter before using it in file operations. An
authenticated, remote attacker can exploit this issue,
via a specially crafted request that uses path
traversal, to disclose the content of arbitrary files.
(CVE-2017-5795)

See also :

http://www.nessus.org/u?6dd0c802
http://www.nessus.org/u?654ac617
http://www.nessus.org/u?f6c1d9a5
http://www.nessus.org/u?fa7e8481
http://www.zerodayinitiative.com/advisories/ZDI-17-161/
http://www.zerodayinitiative.com/advisories/ZDI-17-163/
http://www.zerodayinitiative.com/advisories/ZDI-17-164/
http://www.zerodayinitiative.com/advisories/ZDI-17-165/

Solution :

Upgrade to HPE Intelligent Management Center version 7.3 E0504P02 or
later.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 7.4
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 99030 ()

Bugtraq ID: 96773
96815

CVE ID: CVE-2017-5791
CVE-2017-5793
CVE-2017-5794
CVE-2017-5795

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now